.mc-component-library .mc-icon {
  vertical-align: bottom;
}
.mc-component-library .mc-icon-xxs {
  width: 0.7142857143rem !important;
  height: 0.7142857143rem !important;
  font-size: 0.7142857143rem;
}
.mc-component-library .mc-icon-xs {
  width: 1.3571428571rem !important;
  height: 1.3571428571rem !important;
  font-size: 1.3571428571rem;
}
.mc-component-library .mc-icon-s {
  width: 1.9285714286rem !important;
  height: 1.9285714286rem !important;
  font-size: 1.9285714286rem;
}
.mc-component-library .mc-icon-m {
  width: 2.5714285714rem !important;
  height: 2.5714285714rem !important;
  font-size: 2.5714285714rem;
}
.mc-component-library .mc-icon-l {
  width: 3.4285714286rem !important;
  height: 3.4285714286rem !important;
  font-size: 3.4285714286rem;
}
.mc-component-library .mc-icon-xl {
  width: 4.2857142857rem !important;
  height: 4.2857142857rem !important;
  font-size: 4.2857142857rem;
}
.mc-component-library .mc-icon-xxl {
  width: 5.7142857143rem !important;
  height: 5.7142857143rem !important;
  font-size: 5.7142857143rem;
}
.mc-component-library .mc-icon .active-show {
  display: none;
}
.mc-component-library .mc-icon-active .active-highlight[fill], .mc-component-library .mc-icon:not(.mc-icon-disabled):hover .active-highlight[fill] {
  fill: rgb(var(--v-theme-error));
}
.mc-component-library .mc-icon-active .active-highlight[stroke], .mc-component-library .mc-icon:not(.mc-icon-disabled):hover .active-highlight[stroke] {
  stroke: rgb(var(--v-theme-error));
}
.mc-component-library .mc-icon-active .active-show, .mc-component-library .mc-icon:not(.mc-icon-disabled):hover .active-show {
  display: initial;
}
.mc-component-library .mc-icon-active.active-flip, .mc-component-library .mc-icon:not(.mc-icon-disabled):hover.active-flip {
  transform: rotate(180deg);
}
.mc-component-library .mc-icon-disabled .disabled-highlight[fill] {
  fill: #E2E4EC;
}
.mc-component-library .mc-icon-disabled .disabled-highlight[stroke] {
  stroke: #E2E4EC;
}
.mc-component-library .mc-icon-disabled .disabled-hide {
  display: none;
}
.mc-component-library .mc-icon-disabled .disabled-show {
  display: initial;
}
.mc-component-library .mc-icon-disabled path[fill]:not(.active-highlight), .mc-component-library .mc-icon-disabled rect[fill]:not(.active-highlight) {
  fill: #9C9C9C;
}
.mc-component-library .mc-icon-disabled path[stroke]:not(.active-highlight), .mc-component-library .mc-icon-disabled rect[stroke]:not(.active-highlight) {
  stroke: #9C9C9C;
}
.mc-component-library .mc-icon-clickable {
  cursor: pointer;
}
.mc-component-library .router-link-active .mc-list-item .mc-icon .active-highlight[fill],
.mc-component-library .mc-list-item--active .mc-icon .active-highlight[fill],
.mc-component-library .mc-list-item:hover .mc-icon .active-highlight[fill],
.mc-component-library .mc-button:hover .mc-icon .active-highlight[fill] {
  fill: rgb(var(--v-theme-error));
}
.mc-component-library .router-link-active .mc-list-item .mc-icon .active-highlight[stroke],
.mc-component-library .mc-list-item--active .mc-icon .active-highlight[stroke],
.mc-component-library .mc-list-item:hover .mc-icon .active-highlight[stroke],
.mc-component-library .mc-button:hover .mc-icon .active-highlight[stroke] {
  stroke: rgb(var(--v-theme-error));
}
.mc-component-library .router-link-active .mc-list-item .mc-icon .active-show,
.mc-component-library .mc-list-item--active .mc-icon .active-show,
.mc-component-library .mc-list-item:hover .mc-icon .active-show,
.mc-component-library .mc-button:hover .mc-icon .active-show {
  display: initial;
}
.mc-component-library .router-link-active .mc-list-item .mc-icon.active-flip,
.mc-component-library .mc-list-item--active .mc-icon.active-flip,
.mc-component-library .mc-list-item:hover .mc-icon.active-flip,
.mc-component-library .mc-button:hover .mc-icon.active-flip {
  transform: rotate(180deg);
}